Class
Allocator
Manager for allocated memory.

Allocator

Allocator

Chunk Pool Allocator | Multi Pool Allocator | Simple Allocator | Single Pool Allocator

Allocator<TSpec>
Include Headers
basic.h
Parameters

TSpec | The specializing type. Metafunctions: Spec

Remarks
There are two reasons for using non-trivial allocators:
1. Allocators support the function clear for a fast deallocation of all allocated memory blocks.
2. Some allocators are faster in allocating an deallocating memory. Pool allocators like e.g. Single Pool Allocator or Multi Pool Allocator speed up allocate, deallocate, and clear for pooled memory blocks.
Implements
Allocator
Specializations

Chunk Pool Allocator | Allocator that pools one or more consecutive memory blocks of a specific size.
Multi Pool Allocator | Allocator that pools memory blocks.
Simple Allocator | General purpose allocator.
Single Pool Allocator | Allocator that pools memory blocks of specific size.

Functions

allocate | Allocates memory from heap.
clear | Deallocates all memory blocks.
clear | Deallocates all memory blocks.
deallocate | Deallocates memory.

Example Programs
Allocators
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45